# Variable resources`Const`

resources: {
all: All;
find: Find;
get: Get;
load: Load;
} = System.resources

Programmatic interfaces for reading/writing resources.

Note: These functions return generators. For `async` behavior, use with a [[Meta.Process.ProcessorRunner | ProcessorRunner]] such as that returned by [[Run.forDb]] or [[Project.run]].

For full documentation, please see [[ResourceProcessors]] or links to specific function types below.

#### Type declaration

- ##### all: All

- ##### find: Find

- ##### get: Get

- ##### load: Load

#### Example

    import { Process } from "@truffle/db";
    const { resources } = Process;

- Defined in packages/db/src/process.ts:262

Generated using TypeDoc